Bug 656057 - skip-broken didn't work
Summary: skip-broken didn't work
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 23:30 UTC by Samuel Sieb
Modified: 2014-01-21 23:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-04 16:30:22 UTC
Type: ---


Attachments (Terms of Use)
output of "yum --skip-broken -v upgrade" (388.39 KB, text/plain)
2010-11-22 23:30 UTC, Samuel Sieb
no flags Details

Description Samuel Sieb 2010-11-22 23:30:39 UTC
Created attachment 462176 [details]
output of "yum --skip-broken -v upgrade"

There was a packaging problem where openssl was updated and the dependent package libguestfs was not.  So a straight upgrade didn't work.  I then tried using --skip-broken but that didn't work either.

It's a Fedora 14 system, but I upgraded yum to the rawhide version to see if that worked.
yum-3.2.28-14.fc15.noarch

The dependency issue appears to be simple because if I exclude openssl from the upgrade, then there is no problem.

I will attach the full log, but here is the relevant part:

1:libguestfs-1.6.0-1.fc14.1.i686 requires: /lib/.libcrypto.so.1.0.0a.hmac
--> Processing Dependency: /lib/.libcrypto.so.1.0.0a.hmac for package: 1:libguestfs-1.6.0-1.fc14.1.i686
Needed Require is not a package name. Looking up: /lib/.libcrypto.so.1.0.0a.hmac
Potential Provider: openssl.i686 0:1.0.0a-2.fc14
Mode is ud for provider of /lib/.libcrypto.so.1.0.0a.hmac: openssl.i686 0:1.0.0a-2.fc14
Mode for pkg providing /lib/.libcrypto.so.1.0.0a.hmac: ud
Trying to update 1:libguestfs-1.6.0-1.fc14.1.i686 to resolve dep
No update paths found for 1:libguestfs-1.6.0-1.fc14.1.i686. Failure!
Searching pkgSack for dep: /lib/.libcrypto.so.1.0.0a.hmac
openssl-1.0.0a-2.fc14.i686 is in providing packages but it is already installed, removing.
1:libguestfs-1.6.0-1.fc14.1.i686 requires: /usr/lib/.libssl.so.1.0.0a.hmac
--> Processing Dependency: /usr/lib/.libssl.so.1.0.0a.hmac for package: 1:libguestfs-1.6.0-1.fc14.1.i686
Needed Require is not a package name. Looking up: /usr/lib/.libssl.so.1.0.0a.hmac
Potential Provider: openssl.i686 0:1.0.0a-2.fc14
Mode is ud for provider of /usr/lib/.libssl.so.1.0.0a.hmac: openssl.i686 0:1.0.0a-2.fc14
Mode for pkg providing /usr/lib/.libssl.so.1.0.0a.hmac: ud
Trying to update 1:libguestfs-1.6.0-1.fc14.1.i686 to resolve dep
No update paths found for 1:libguestfs-1.6.0-1.fc14.1.i686. Failure!
Searching pkgSack for dep: /usr/lib/.libssl.so.1.0.0a.hmac
openssl-1.0.0a-2.fc14.i686 is in providing packages but it is already installed, removing.
--> Finished Dependency Resolution

[...]

SKIPBROKEN:  updated     : openssl-1.0.0a-2.fc14.i686 
SKIPBROKEN:                   updatedby : openssl-1.0.0b-1.fc14.i686
SKIPBROKEN:  update      : openssl-1.0.0b-1.fc14.i686 
SKIPBROKEN:                   updates : openssl-1.0.0a-2.fc14.i686

[...]

Error: Package: 1:libguestfs-1.6.0-1.fc14.1.i686 (@updates)
           Requires: /lib/.libcrypto.so.1.0.0a.hmac
           Removing: openssl-1.0.0a-2.fc14.i686 (@anaconda-InstallationRepo-201010211814.i386)
               Not found
           Updated By: openssl-1.0.0b-1.fc14.i686 (updates)
               Not found
Error: Package: 1:libguestfs-1.6.0-1.fc14.1.i686 (@updates)
           Requires: /usr/lib/.libssl.so.1.0.0a.hmac
           Removing: openssl-1.0.0a-2.fc14.i686 (@anaconda-InstallationRepo-201010211814.i386)
               Not found
           Updated By: openssl-1.0.0b-1.fc14.i686 (updates)
               Not found

Comment 1 Tim Lauridsen 2010-11-23 06:45:07 UTC
Look like a simple case that skip-broken should handle.
I will analyse it deeper.


Note You need to log in before you can comment on or make changes to this bug.